### Method

# FwupdPlugin TpmEventlogItem set_kind

since: 2.1.1

#### Declaration [src]

    void
    fu_tpm_eventlog_item_set_kind (
      FuTpmEventlogItem* self,
      FuTpmEventlogItemKind kind
    )

#### Description [src]

Sets item kind.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuTpmEventlogItemKind`

  A `FuTpmEventlogItemKind`, e.g. `FU_TPM_EVENTLOG_ITEM_KIND_EFI_PLATFORM_FIRMWARE_BLOB`.